Restore a Service Quote version by its id
curl --request POST \
--url https://commerce.driv.ly/api/serviceQuotes/versions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://commerce.driv.ly/api/serviceQuotes/versions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://commerce.driv.ly/api/serviceQuotes/versions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc": {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"type": [],
"serviceProvider": [
123
],
"quoteId": "<string>",
"partner": 123,
"serviceOrders": "<string>",
"checkoutLink": "<string>",
"deal": 123,
"vehicle": 123,
"rush": true,
"etaMin": "<string>",
"etaMax": "<string>",
"distance": 123,
"expires": "<string>",
"cost": "<string>",
"price": "<string>",
"margin": "<string>",
"partnerProfitShare": "<string>",
"partnerMargin": "<string>",
"tenant": 123,
"transportServiceOrders": "<string>",
"transportServiceOrders2": [
123
]
},
"message": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Service Quotes
Restore a Service Quote version by its id
Restore a Service Quote version by its id
POST
/
serviceQuotes
/
versions
/
{id}
Restore a Service Quote version by its id
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { serviceQuotes } from '@drivly/commerce'
const sdk = new SDK(...)
const serviceQuotes = await sdk.serviceQuotes.create(data: serviceQuotes): Promise<serviceQuotes>
Authorizations
Path Parameters
id of the Service Quote version
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
⌘I